## keeping it here just in case someone wants to use the SVN version
# %define snapshot_date 20071015
# 20071015 = svnrel 412
# svn co http://svn.openchrome.org/svn/trunk openchrome

# (anssi) The unversioned symlink of XvMC library must be present in
# %{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%define _requires_exceptions devel(

Name: x11-driver-video-openchrome
Version: 0.2.901
Release: %mkrel 1
Summary: The X.org driver for Unichrome cards from the OpenChrome project
Group: System/X11
URL: http://www.openchrome.org
Source: http://www.openchrome.org/releases/xf86-video-openchrome-0.2.901.tar.bz2
# http://billionmokeys.net/openchrome
Patch0: xf86-video-openchrome-0.2.901-billionmokeys.net_modelines.patch
# http://cvs.fedoraproject.org/viewcvs/*checkout*/rpms/xorg-x11-drv-openchrome/F-8/openchrome-0.2.901-P4M900_fifo_settings.patch?rev=1.1
Patch1: openchrome-0.2.901-P4M900_fifo_settings.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: GL-devel
BuildRequires: libdrm-devel
BuildRequires: libx11-devel
BuildRequires: libxvmc-devel
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
A free and Open Source video driver for the VIA/S3G
UniChrome and UniChrome Pro graphics chipsets. (CLE266,
KN400, KM400, K8M800, PM800, CN400, VN800)

%prep
%setup -q -n xf86-video-openchrome-%{version}
%patch0 -p1 -b .billionmonkeys
%patch1 -p0 -b .P4M900_fifo_settings

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libchromeXvMC.la
%{_libdir}/libchromeXvMC.so
%{_libdir}/libchromeXvMC.so.1
%{_libdir}/libchromeXvMC.so.1.0.0
%{_libdir}/libchromeXvMCPro.la
%{_libdir}/libchromeXvMCPro.so
%{_libdir}/libchromeXvMCPro.so.1
%{_libdir}/libchromeXvMCPro.so.1.0.0
%{_libdir}/xorg/modules/drivers/openchrome_drv.la
%{_libdir}/xorg/modules/drivers/openchrome_drv.so
%{_mandir}/man4/openchrome.*



%changelog
* Thu Feb 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.2.901-1mdv2008.0
+ Revision: 168513
- Update to latest upstream release, that should correct problems
  for users of Positivo notebooks.

* Tue Aug 21 2007 Paulo Andrade <pcpa@mandriva.com.br> 0.2.0.20070821-2mdv2008.0
+ Revision: 68697
- Add chrome9 suport.

* Tue Aug 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.2.0.20070821-1mdv2008.0
+ Revision: 68639
- update to a newer snapshot version of the driver

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages extension


* Sat Apr 07 2007 Stefan van der Eijk <stefan@mandriva.org> 0.2.0.20070406-1mdv2007.1
+ Revision: 151222
- fix setup
- correct release
- 20070406, svnrel 313
- add vt1625 patches

* Mon Mar 12 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.2.0.20060725-5mdv2007.1
+ Revision: 141727
- Added a patch fixing compilation on i586 (#29352)
- Adding BuildRequires for GL-devel
- Added missing BuildRequires
- Fixed the patch for the name change. Now it is working.

  + Anssi Hannula <anssi@mandriva.org>
    - remove devel requires

* Fri Sep 08 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.2.0.20060725-1mdv2007.0
+ Revision: 60441
- adding openchrome driver to cooker. Still needs testing

